Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.daohib.bpel.hobj
Class HProcess

    java.lang.Object
      org.apache.ode.daohib.bpel.hobj.HObject
          org.apache.ode.daohib.bpel.hobj.HProcess

    public class HProcess

extends HObject

Hibernate table representing a BPEL process (not a process instance).

Constructor Summary
`HProcess()`

Method Summary
`java.util.Set<HCorrelator>` | `getCorrelators()`
`java.util.Date` | `getDeployDate()` The date the process was deployed.
`java.lang.String` | `getDeployer()` The user that deployed the process.
`java.util.Set<HPartnerLink>` | `getDeploymentPartnerLinks()` Get the partner links values as deployed.
`java.util.Collection<HBpelEvent>` | `getEvents()`
`java.lang.String` | `getGuid()`
`java.util.Collection<HProcessInstance>` | `getInstances()`
`java.util.Set<HMessageExchange>` | `getMessageExchanges()`
`java.lang.String` | `getProcessId()`
`java.lang.String` | `getTypeName()` The type of the process (BPEL process definition name).
`java.lang.String` | `getTypeNamespace()` The type of the process (BPEL process definition name).
`long` | `getVersion()` The process version.
`boolean` | `isActive()` The process status.
`void` | `setActive(boolean active)`
`void` | `setCorrelators(java.util.Set<HCorrelator> correlators)`
`void` | `setDeployDate(java.util.Date deployDate)`
`void` | `setDeployer(java.lang.String deployer)`
`void` | `setDeploymentPartnerLinks(java.util.Set<HPartnerLink> partnerlinks)` Set the partner links as deployed.
`void` | `setEvents(java.util.Collection<HBpelEvent> events)`
`void` | `setGuid(java.lang.String guid)`
`void` | `setInstances(java.util.Collection<HProcessInstance> instances)`
`void` | `setMessageExchanges(java.util.Set<HMessageExchange> exchanges)`
`void` | `setProcessId(java.lang.String processId)`
`void` | `setTypeName(java.lang.String processName)`
`void` | `setTypeNamespace(java.lang.String processName)`
`void` | `setVersion(long version)`

Methods inherited from class org.apache.ode.daohib.bpel.hobj.HObject
`getCreated, getId, getLock, setCreated, setId, setLock, toIdArray, toIdArray, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HProcess

    public HProcess()

Method Detail

### getMessageExchanges

    public java.util.Set<HMessageExchange> getMessageExchanges()

### setMessageExchanges

    public void setMessageExchanges(java.util.Set<HMessageExchange> exchanges)

### getCorrelators

    public java.util.Set<HCorrelator> getCorrelators()

### setCorrelators

    public void setCorrelators(java.util.Set<HCorrelator> correlators)

### getInstances

    public java.util.Collection<HProcessInstance> getInstances()

### setInstances

    public void setInstances(java.util.Collection<HProcessInstance> instances)

### getEvents

    public java.util.Collection<HBpelEvent> getEvents()

### setEvents

    public void setEvents(java.util.Collection<HBpelEvent> events)

### getDeploymentPartnerLinks

    public java.util.Set<HPartnerLink> getDeploymentPartnerLinks()

  Get the partner links values as deployed.

  Returns:
    `Set`<`HPartnerLink`> with variable values

### setDeploymentPartnerLinks

    public void setDeploymentPartnerLinks(java.util.Set<HPartnerLink> partnerlinks)

  Set the partner links as deployed.

  Parameters:
    `partnerlinks` -

### getProcessId

    public java.lang.String getProcessId()

### setProcessId

    public void setProcessId(java.lang.String processId)

### getDeployer

    public java.lang.String getDeployer()

  The user that deployed the process.

### setDeployer

    public void setDeployer(java.lang.String deployer)

### getDeployDate

    public java.util.Date getDeployDate()

  The date the process was deployed.

### setDeployDate

    public void setDeployDate(java.util.Date deployDate)

### getTypeName

    public java.lang.String getTypeName()

  The type of the process (BPEL process definition name).

### setTypeName

    public void setTypeName(java.lang.String processName)

### getTypeNamespace

    public java.lang.String getTypeNamespace()

  The type of the process (BPEL process definition name).

### setTypeNamespace

    public void setTypeNamespace(java.lang.String processName)

### getVersion

    public long getVersion()

  The process version.

### setVersion

    public void setVersion(long version)

### isActive

    public boolean isActive()

  The process status.

### setActive

    public void setActive(boolean active)

### getGuid

    public java.lang.String getGuid()

### setGuid

    public void setGuid(java.lang.String guid)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD